---
title: "Dialup Service"
geekdocDescription: "Modem Dialup Service"
weight: 10
---
Connect in to dn42 using a real physical modem.

{{<hint danger>}}
**06/02/23** - The modem service is currently unavailable and will remain offline until later in the year.

In the meantime, the [modem emulator](https://wdev.burble.dn42/retro/fake/) service is still available. 
{{</hint>}}

{{<hint warning>}}
**Health warning**: dialing in to dn42 can be rewarding and great fun, but using modems
over VoIP is flakey at the best of times and getting it to work can be a
frustrating experience. This is very much an experimental service.
{{</hint>}}

The burble.dn42 dialup service allows you to dial in to dn42 via a modem. The
modem is reachable via VoIP and connected to a PPP server, allowing you to log in
and obtain full dn42 IPv4 connectivity. 

#### Endpoints

The dialup service can be reached via the following endpoints:

| Endpoint | Network |
|:--|:--|
| 424026019@voip.burble.dn42 | dn42 |
| *tbc* | clearnet |
| *tbc* | PSTN |

#### PPP Server Log In Details

- Username: dn42
- Password: dn42

See also the the [modem emulator](/retro/fake) for more details on
how the PPP server is configured, together with an automatic login
script for windows variants.

## Connection Tips

- Ensure that T.38 Fax Mode is disabled or set to passthrough
- Ensure that Re-invite after Fax Tone is disabled
- Ensure that all Echo Cancelation is disabled
- Ensure VAD (Voice Activity Detection) is disabled
- Disable all call features (voicemail, call waiting etc.)
- Use G.711 ALAW
- G.711 ULAW may work if ALAW isn't available, but do not use any other codecs
- Experiment with Disabling/Fixed/Adaptive Jitter buffers and different jitter buffer lengths
- Experiment with different gain settings
- Reduce modulation rates, you can't connect at anything above V.34 anyway
  - Use `AT+MS?` to see the current modulation settings on your modem.
  - Start at V.34 (`AT+MS=V34`)
  - Try V.32bis (`AT+MS=V32b`) or even V.32 (`AT+MS=V32`)
- The modems are located on a residential DSL connection and will experience more jitter when the DSL is in use, try connecting at different times and specifically during UK night time or early mornings.
- The PPP log in process is the same as the [modem emulator](/retro/fake) so you can use the
emulator to check your process before connecting using the modem.

## Example connection from linux

The video shows an example connecting using minicom and pppd on linux.

<video src="/retro/modem.webm" width="720" height="449" autoplay="true" loop="true"></video>

## Using a software modem

[JerryXiao](https://jerryxiao.cc/dn42) has created instructions for connecting using D-Modem, a software modem that can connect directly over VoIP. The instructions and D-Modem software are available in the [dn42 gitea repository](https://git.dn42.dev/JerryXiao/D-Modem/src/branch/master/README.jerry.md).