---
title: "DN42"
geekdocDescription: "DN42 Infrastructure Services"
weight: 20
---
burble.dn42 hosts a number of DN42 infrastructure services.

## DNS

|Service|Name|IP|
|:--|:--|:--|
|DN42 Master|b.master.delegation-servers.dn42|fd42:180:3de0:30::1|
|Authoritative Service|b.delegation-servers.dn42|172.20.129.1<br/>fd42:4242:2601:ac53::1|
|Recursive Service|b.recursive-servers.dn42| 172.20.129.2<br/>fd42:4242:2601:ac53::53|

burble.dn42 provides a local, anycast, authoritative and recursive DNS service.  
The [DNS Service](/services/dns) has it's own page.

## DN42 Wiki Mirror

|Mirror URLs||
|:--|:--|
|[wiki.dn42](https://wiki.dn42/)<br/>[wiki.burble.dn42](https://wiki.burble.dn42/)&nbsp;|(editable via DN42)|
|[dn42.dev](https://dn42.dev/)<br/>[wiki.burble.com](https://wiki.burble.com/)&nbsp;| (read-only via public internet)|

burble.dn42 maintains a globally distributed mirror of the DN42 Wiki, and is part of
the wiki.dn42 anycast group. 
The DN42 services ([wiki.dn42](https://wiki.dn42/) and
[wiki.burble.dn42](https://wiki.burble.dn42/)) are editable, whilst the public internet
views ([dn42.dev](https://dn42.dev/) and [wiki.burble.com](https://wiki.burble.com/)) are
read-only.

Please note that updates to the wiki may take several hours to sync with other mirrors.

The wiki service is delivered using the [burble.dn42 nomad cluster](/services/internal/#nomadburbledn42).

## ACME

 - <https://acme.burble.dn42/v1/dn42/acme/directory>
 - <https://acme.burble.dn42/v1/staging/acme/directory>

burble.dn42 provides an [ACME](https://en.wikipedia.org/wiki/Automatic_Certificate_Management_Environment)
service using an intermediate certificate issued by the
[dn42 certificate authority](https://dn42.dev/services/Certificate-Authority) and implemented using 
a [HashiCorp Vault](https://vaultproject.io/) cluster to provide a highly available service.

More details can be found on the [ACME service](/services/acme/) page.

## Whois Service

* whois.burble.dn42
* fd42:4242:2601:ac43::1
* 172.20.129.8

[WHOIS](https://en.wikipedia.org/wiki/WHOIS) service providing data from the
DN42 registry. The WHOIS service is also anycasted across the network. 

The source code for the service is available in the
[burble.dn42 git](https://git.burble.dn42/burble.dn42/whois42d).

## Global Route Collector

* [https://collector.dn42/](https://collector.dn42/) (DN42 link)
* [https://lg.collector.dn42/](https://lg.collector.dn42/) (DN42 link)
* ssh shell@collector.dn42

The [global route collector](https://git.dn42.us/burble/grc) provides a central
bird instance that collects routes from peers across the DN42 network.  
All users are invited to join the collector and help provide stats for the network.

The route collector can currently be queried by using ssh to connect a bird shell
or via a looking glass.  
Additional services and stats are expected to be developed in the future. 

## DN42 Infrastructure Monitoring

burble.dn42 hosts monitoring and alerting of key DN42 services at
[https://grafana.burble.dn42](https://grafana.burble.dn42).
